Package ghidra.program.model.symbol

# Enum Class SourceType

java.lang.Object
java.lang.Enum<SourceType>
ghidra.program.model.symbol.SourceType

All Implemented Interfaces:
  `Serializable`, `Comparable<SourceType>`, `Constable`

public enum SourceType extends Enum<SourceType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ANALYSIS`
  The object's source indicator for an auto analysis.
  `DEFAULT`
  The object's source indicator for a default.
  `IMPORTED`
  The object's source indicator for an imported.
  `USER_DEFINED`
  The object's source indicator for a user defined.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDisplayString()`
  Returns a user-friendly string
  `boolean`
  `isHigherPriorityThan(SourceType source)`
  Determines if this source type is a higher priority than the one being passed to this method as a parameter.
  `boolean`
  `isLowerPriorityThan(SourceType source)`
  Determines if this source type is a lower priority than the one being passed to this method as a parameter.
  `static SourceType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SourceType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ANALYSIS

    public static final SourceType ANALYSIS
    The object's source indicator for an auto analysis.

  - ### USER_DEFINED

    public static final SourceType USER_DEFINED
    The object's source indicator for a user defined.

  - ### DEFAULT

    public static final SourceType DEFAULT
    The object's source indicator for a default.

  - ### IMPORTED

    public static final SourceType IMPORTED
    The object's source indicator for an imported.

- ## Method Details

  - ### values

    public static SourceType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SourceType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getDisplayString

    public String getDisplayString()
    Returns a user-friendly string

  - ### isHigherPriorityThan

    public boolean isHigherPriorityThan(SourceType source)
    Determines if this source type is a higher priority than the one being passed to this method as a parameter. USER_DEFINED objects are higher priority than IMPORTED objects which are higher priority than ANALYSIS objects which are higher priority than DEFAULT objects.
    Parameters:
      `source` - the source type whose priority is to be compared with this one's.
    Returns:
      true if this source type is a higher priority. false if this source type is the same priority or lower priority.

  - ### isLowerPriorityThan

    public boolean isLowerPriorityThan(SourceType source)
    Determines if this source type is a lower priority than the one being passed to this method as a parameter. DEFAULT objects are lower priority than ANALYSIS objects which are lower priority than IMPORTED objects which are lower priority than USER_DEFINED objects.
    Parameters:
      `source` - the source type whose priority is to be compared with this one's.
    Returns:
      true if this source type is a lower priority. false if this source type is the same priority or higher priority.